View Issue Details

IDProjectCategoryView StatusLast Update
0005925MediaMonkey (current)Main Panel/Toolbars/Menuspublic2011-05-01 19:07
Reporterpeke 
PriorityurgentSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version4.0Fixed in Version4.0 
Summary0005925: Main Panel: Tabbed views
DescriptionHere I'll be putting Propositions to make full tabbed View for Both MM and Scripting.

1) The 'New Tab' entry in the menu bar looks out-of-place. I would suggest a '+' icon near the window controls or near the MediaMonkey icon, or alternatively, right-clicking on the Title Bar > New Tab (see also, item 6 below)

2) The tabs have various graphic artifacts within them. I'm not sure if this is a problem with the vitreous blue skin, or some other issue.

3) When nodes are clicked within tabs, and the user subsequently tries to close a tab, MediaMonkey generates multiple AVs and must be forced to close.

4) After running a Video for a few seconds in 'maximized' mode and then stopping the video, the tabs re-appear, however, the menu bars appear superior to the tabs instead of under the tabs, and various graphic artifacts occur.

Missing features:
-----------------
5) When a new tab appears, it should display the default start page that normally appears when MM is first run (instead of a clone of the previously active tab).

6) Users should be able to right-click on any root node and 'Open in new tab'

7) Ideally it should be possible to drag tracks from one tab to a node in another tab.
Steps To ReproduceForum Topic:
http://www.mediamonkey.com/forum/viewtopic.php?f=4&t=30783
TagsNo tags attached.
Fixed in build1363

Relationships

has duplicate 0003158 closedstephen_platt MediaMonkey Wishlist Support for tabbed track views 
related to 0006113 assignedpeke MediaMonkey (current) Aeropeek: Using Advanced Multi Window/Tab features 
related to 0006505 closedpetr MediaMonkey (current) Tabs 
related to 0006792 assignedpetr MediaMonkey (current) It should be possible to re-arrange tabs 
related to 0007198 closedpetr MediaMonkey (current) Improve Main Menu / Tabs layout to preserve vertical space 

Activities

peke

2009-10-20 02:37

developer   ~0019249

Will also make possible to comply feature requested here http://www.mediamonkey.com/forum/viewtopic.php?f=4&t=43608

peke

2010-07-11 23:50

developer   ~0020341

I'm guessing that you worked on tabs implementation.

Can you add related bug link I can't seam to find it and close it as duplicate?

petr

2010-09-08 20:46

developer   ~0020501

Implemented in 1310

rusty

2010-09-08 21:01

administrator   ~0020506

I've reviewed the implementation in build 1311 and would like to offer the following feedback:

Bugs
----
1) The 'New Tab' entry in the menu bar looks out-of-place. I would suggest a '+' icon near the window controls or near the MediaMonkey icon, or alternatively, right-clicking on the Title Bar > New Tab (see also, item 6 below)

2) The tabs have various graphic artifacts within them. I'm not sure if this is a problem with the vitreous blue skin, or some other issue.

3) When nodes are clicked within tabs, and the user subsequently tries to close a tab, MediaMonkey generates multiple AVs and must be forced to close.

4) After running a Video for a few seconds in 'maximized' mode and then stopping the video, the tabs re-appear, however, the menu bars appear superior to the tabs instead of under the tabs, and various graphic artifacts occur.

Missing features:
-----------------
5) When a new tab appears, it should display the default start page that normally appears when MM is first run (instead of a clone of the previously active tab).

6) Users should be able to right-click on any root node and 'Open in new tab'

7) Ideally it should be possible to drag tracks from one tab to a node in another tab.

jiri

2010-09-08 22:48

administrator   ~0020508

Reminder sent to: rusty

5) I think that the default Start page would be of a little value for most users in this case. That said, I can see that some default view might be useful in some cases - even though some users might prefer the current implementation. Question is which node to open by default, I'm not sure whether e.g. Library is the best choice.

So, maybe the current implementation is the best after all. We could probably leave it as is for now and wait for some alpha-testing feedback.

petr

2010-09-08 23:02

developer   ~0020509

Issues 1, 3 & 4 fixed in 1312 (item 2 is skin related ... in latest Steve's update, tabs looks much better).

petr

2010-10-04 20:12

developer   ~0020645

Last edited: 2010-10-04 20:14

View 2 revisions

Item 6 fixed in 1314.
Item 7: D&D work fine for me and should work same as when you're dragging a track into main tree node.

petr

2010-10-04 20:14

developer   ~0020646

Fixed in 1314

rusty

2010-10-06 17:36

administrator   ~0020651

Last edited: 2010-10-12 21:12

View 4 revisions

Tested 1314.

2) Tabs in the main UI look nice with updated skins, but there are still a couple of minor issues graphical issues:
i) The '+' symbol that appears to the right of the MM icon and in the small tab isn't centered (it's more towards the right side)
ii) The 'x' to close a tab is too close to the right margin of the tabs.
iii) The text that appears within a tab is too far to the right.
iv) When the user moves the cursor over the 'x' it doesn't change to a hot state / the button doesn't look like a proper button (like other skinned buttons)
v) In skinless mode, the text on the tabs is unreadable

5) During the alpha cycle, I'd like to test out reaction to display of the start page whenever a new tab is added.

petr

2011-04-12 20:27

developer   ~0024251

I think this issue is already fixed in 1363.

stephen_platt

2011-05-01 19:07

developer   ~0024693

verified 1368. all is fixed except item 5 as raised by Rusty.